Bug 1793397 - i3-4.17.1-3.fc32 FTBFS: /usr/bin/ld: i3bar/src/i3bar-config.o:/.../i3-4.17.1/build/../../i3-4.17.1/i3bar/include/configuration.h:76: multiple definition of `config'
Summary: i3-4.17.1-3.fc32 FTBFS: /usr/bin/ld: i3bar/src/i3bar-config.o:/.../i3-4.17.1/...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: i3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dan.cermak
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 09:18 UTC by Petr Pisar
Modified: 2020-02-07 07:36 UTC (History)
5 users (show)

Fixed In Version: i3-4.17.1-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-06 19:55:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-21 09:18:28 UTC
i3-4.17.1-3.fc32 fails to build in F32:
  CCLD     i3bar/i3bar
/usr/bin/ld: i3bar/src/i3bar-config.o:/home/test/fedora/i3/i3-4.17.1/build/../../i3-4.17.1/i3bar/include/configuration.h:76: multiple definition of `config'; i3bar/src/i3bar-child.o:/home/test/fedora/i3/i3-4.17.1/build/../../i3-4.17.1/i3bar/include/configuration.h:76: first defined here
[...]
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:1682: i3bar/i3bar] Error 1

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/7743892>. This is probably triggered by upgrading gcc from 9.2.1-1.fc32.3 to 10.0.1-0.3.fc32.

Comment 1 dan.cermak 2020-01-21 20:36:09 UTC
This is part of the fallout due to gcc's switch to `-fno-common` by default.

Upstream issue: https://github.com/i3/i3/issues/3914

Comment 2 dan.cermak 2020-02-06 19:55:44 UTC
I have cherry picked the patches from https://github.com/i3/i3/pull/3918 and successfully rebuild i3 in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.